summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2020-02-20 23:04:48 +0100
committerCarl Hetherington <cth@carlh.net>2020-02-20 23:04:48 +0100
commitc0019989c483046f0934d19e4634c21ff68e3cdf (patch)
tree04205763157e59ee37690d1890d0d0dd30a2ef07
parent351942d335db261ac6fe54f2f8a3f439fef22d47 (diff)
Tweak DMG creation for Apple changes.
-rw-r--r--platform/osx/make_dmg.sh18
1 files changed, 12 insertions, 6 deletions
diff --git a/platform/osx/make_dmg.sh b/platform/osx/make_dmg.sh
index adedae3c2..b3674df69 100644
--- a/platform/osx/make_dmg.sh
+++ b/platform/osx/make_dmg.sh
@@ -260,7 +260,7 @@ function make_dmg {
dmg="$full_name $version.dmg"
vol_name=DCP-o-matic-$version
- codesign --deep --force --verify --verbose --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$appdir"
+ codesign --deep --force --verify --verbose --options runtime --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$appdir"
if [ "$?" != "0" ]; then
echo "Failed to sign .app"
exit 1
@@ -325,7 +325,7 @@ EOF
xattr -c "$dmg"
set -e
- codesign --verify --verbose --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$dmg"
+ codesign --verify --verbose --options runtime --sign "Developer ID Application: Carl Hetherington (R82DXSR997)" "$dmg"
# We only notarize thin builds, as if we're building universal binaries we must be on an OS
# sufficiently old that it can't notarize anyway
@@ -335,14 +335,20 @@ EOF
N=0
while [ 1 ]; do
echo "Checking up on $id"
- status=$(xcrun altool --notarization-info $id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml | grep -C1 "<key>Status</key>" | tail -n 1 | sed -e "s/ .//g")
- echo "Got $status"
- if [ "$status" == "<string>success</string>" ]; then
+ status=$(xcrun altool --notarization-info $id -u $APPLE_ID -p $APPLE_PASSWORD --output-format xml)
+ summary=$(echo "$status" | grep -C1 "<key>Status</key>" | tail -n 1 | sed -e "s/ .//g")
+ echo "Got $summary"
+ if [ "$summary" == "<string>invalid</string>" ]; then
+ echo "Notarization failed."
+ echo $status
+ exit 1
+ fi
+ if [ "$summary" == "<string>success</string>" ]; then
break
fi
sleep 30
N=$((N+1))
- if [ "$N" == "10" ]; then
+ if [ "$N" == "30" ]; then
echo "Timed out waiting for notarization"
exit 1
fi